> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/consumers/bill-reporting/retrieve-open-tradelines-view-set/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Retrieve Open Tradelines View Set GET https://api.upwardli.com/v2/consumers/{consumer_external_id}/bill-reporting/open-tradelines/ 1) Validate the Request Token and get the Partner 2) Get the Open Tradelines for the consumer associated with the request with all transactions lists 3) Return TradeLines and its transactions Reference: https://developers.upwardli.com/api-access/api-reference/consumers/bill-reporting/retrieve-open-tradelines-view-set ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Path parameters - `consumer_external_id` (string, required) ### Query parameters - `search` (string, optional) — A search term. ## Response ### 200 - `tradelines` (list of OpenTradelinesTradelinesItems, required) ## Types ### OpenTradelinesTradelinesItems - `id` (string, required) - `merchant` (string, required) - `category` (string, required) - `status` (string, required) - `is_eligible` (boolean, required) - `payment_frequency` (string, required) - `created_at` (string, required) - `updated_at` (string, required) - `furnishments` (list of OpenTradelinesTradelinesItemsFurnishmentsItems, required) - `service_address` (string, optional) - `service_phone` (string, optional) - `lease_start_date` (string, optional) - `utility_types` (string, optional) - `service_address_type` (string, optional) - `transaction_count` (integer, optional) - `amount` (double, optional) ### OpenTradelinesTradelinesItemsFurnishmentsItems - `id` (string, required) - `furnishedAt` (string, required) ## Examples **Response** ```json { "tradelines": [ { "id": "string", "merchant": "string", "category": "string", "status": "string", "is_eligible": true, "payment_frequency": "string", "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "furnishments": [ { "id": "string", "furnishedAt": "2024-01-15T09:30:00Z" } ], "service_address": "string", "service_phone": "string", "lease_start_date": "string", "utility_types": "string", "service_address_type": "string", "transaction_count": 1, "amount": 1.1 } ] } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/open-tradelines/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/open-tradelines/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/open-tradelines/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/open-tradelines/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/open-tradelines/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/open-tradelines/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/open-tradelines/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/consumers/consumer_external_id/bill-reporting/open-tradelines/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```